"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var driver_1 = require("./driver");
var Facebook = (function (_super) {
    __extends(Facebook, _super);
    function Facebook(params) {
        var _this = _super.call(this) || this;
        _this.permissions = ['public_profile', 'email'];
        _this.fields = [
            'first_name',
            'last_name',
            'id',
            'email',
            'picture'
        ];
        _this.driverName = 'facebook';
        _this.id = params.id;
        _this.loginBehavior = params.loginBehavior;
        if (params.permissions) {
            _this.permissions = params.permissions;
        }
        if (params.fields) {
            _this.fields = params.fields;
        }
        return _this;
    }
    return Facebook;
}(driver_1.Driver));
exports.Facebook = Facebook;
//# sourceMappingURL=facebook.common.js.map