"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var login_button_common_1 = require("./login-button.common");
var authentication_1 = require("./../authentication");
var FacebookLoginButton = (function (_super) {
    __extends(FacebookLoginButton, _super);
    function FacebookLoginButton() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    FacebookLoginButton.prototype.createNativeView = function () {
        authentication_1.FacebookInstance().loginUICallback = this.notifyLogin.bind(this);
        authentication_1.FacebookInstance().logoutUICallback = this.notifyLogout.bind(this);
        authentication_1.FacebookInstance().errorUICallback = this.notifyError.bind(this);
        return new com.facebook.login.widget.LoginButton(this._context);
    };
    return FacebookLoginButton;
}(login_button_common_1.LoginButton));
exports.FacebookLoginButton = FacebookLoginButton;
//# sourceMappingURL=facebook-login-button.android.js.map