"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var login_button_common_1 = require("./login-button.common");
var authentication_1 = require("./../authentication");
var configure_ios_delegate_1 = require("../configure-ios-delegate");
var GoogleLoginButton = (function (_super) {
    __extends(GoogleLoginButton, _super);
    function GoogleLoginButton() {
        var _this = _super.call(this) || this;
        _this.nativeView = new GIDSignInButton();
        _this.nativeView.colorScheme = kGIDSignInButtonColorSchemeDark;
        var google = authentication_1.GoogleInstance();
        google.manager.uiDelegate =
            google.manager.delegate || new configure_ios_delegate_1.GoogleLoginDelegate();
        google.loginUICallback = _this.notifyLogin.bind(_this);
        google.logoutUICallback = _this.notifyLogout.bind(_this);
        google.errorUICallback = _this.notifyError.bind(_this);
        return _this;
    }
    return GoogleLoginButton;
}(login_button_common_1.LoginButton));
exports.GoogleLoginButton = GoogleLoginButton;
//# sourceMappingURL=google-login-button.ios.js.map