"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var authentication_1 = require("./authentication");
var Driver = (function () {
    function Driver() {
    }
    Driver.prototype.login = function () {
        return new Promise(function (resolve) { return resolve(null); });
    };
    Driver.prototype.logout = function () {
        return new Promise(function (resolve) { return resolve(null); });
    };
    Driver.prototype.initializeUser = function () {
        if (this.getCurrentToken()) {
            authentication_1.default.instance.driver = this.driverName;
        }
    };
    Driver.prototype.getCurrentToken = function () {
        return null;
    };
    Driver.prototype.getCurrentUser = function () {
        return new Promise(function (resolve) { return resolve(null); });
    };
    Object.defineProperty(Driver.prototype, "loginCallback", {
        get: function () {
            return this._loginUICallback || this._loginCallback;
        },
        set: function (callback) {
            var _this = this;
            this._loginCallback = function () {
                var args = [];
                for (var _i = 0; _i < arguments.length; _i++) {
                    args[_i] = arguments[_i];
                }
                authentication_1.default.instance.driver = _this.driverName;
                callback.apply(void 0, args);
            };
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(Driver.prototype, "logoutCallback", {
        get: function () {
            return this._logoutCallback || this._logoutUICallback;
        },
        set: function (callback) {
            this._logoutCallback = function () {
                var args = [];
                for (var _i = 0; _i < arguments.length; _i++) {
                    args[_i] = arguments[_i];
                }
                authentication_1.default.instance.driver = null;
                callback.apply(void 0, args);
            };
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(Driver.prototype, "errorCallback", {
        get: function () {
            return this._errorCallback || this._errorUICallback;
        },
        set: function (callback) {
            this._errorCallback = callback;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(Driver.prototype, "loginUICallback", {
        get: function () {
            return this._loginUICallback;
        },
        set: function (callback) {
            var _this = this;
            this._loginUICallback = function () {
                var args = [];
                for (var _i = 0; _i < arguments.length; _i++) {
                    args[_i] = arguments[_i];
                }
                authentication_1.default.instance.driver = _this.driverName;
                callback.apply(void 0, args);
            };
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(Driver.prototype, "logoutUICallback", {
        get: function () {
            return this._logoutUICallback;
        },
        set: function (callback) {
            this._logoutUICallback = function () {
                var args = [];
                for (var _i = 0; _i < arguments.length; _i++) {
                    args[_i] = arguments[_i];
                }
                authentication_1.default.instance.driver = null;
                callback.apply(void 0, args);
            };
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(Driver.prototype, "errorUICallback", {
        get: function () {
            return this._errorUICallback;
        },
        set: function (callback) {
            this._errorUICallback = function () {
                var args = [];
                for (var _i = 0; _i < arguments.length; _i++) {
                    args[_i] = arguments[_i];
                }
                callback.apply(void 0, args);
            };
        },
        enumerable: true,
        configurable: true
    });
    return Driver;
}());
exports.Driver = Driver;
//# sourceMappingURL=driver.js.map