"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var login_button_common_1 = require("./login-button.common");
var authentication_1 = require("./../authentication");
var user_1 = require("./../user");
var GoogleLoginButton = (function (_super) {
    __extends(GoogleLoginButton, _super);
    function GoogleLoginButton() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    GoogleLoginButton.prototype.createNativeView = function () {
        var _this = this;
        var button = new com.google.android.gms.common.SignInButton(this._context);
        var google = authentication_1.GoogleInstance();
        google.loginUICallback = function (user) { return _this.notifyLogin(new user_1.default(user, 'google')); };
        google.logoutUICallback = this.notifyLogout.bind(this);
        google.errorUICallback = this.notifyError.bind(this);
        var listener = new android.view.View.OnClickListener({
            onClick: function () { return google.listenLogin(); }
        });
        button.setOnClickListener(listener);
        return button;
    };
    return GoogleLoginButton;
}(login_button_common_1.LoginButton));
exports.GoogleLoginButton = GoogleLoginButton;
//# sourceMappingURL=google-login-button.android.js.map