"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var user_common_1 = require("./user.common");
var User = (function (_super) {
    __extends(User, _super);
    function User() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    User.prototype.setDataFromGoogle = function (data) {
        this.email = data.getEmail();
        this.firstname = data.getGivenName();
        this.lastname = data.getFamilyName();
        this.picture = data.getPhotoUrl().toString();
        this.token = data.getServerAuthCode() || data.getIdToken();
        this.id = data.getId();
    };
    User.prototype.getString = function (data, key) {
        return data.getString(key);
    };
    User.prototype.getObject = function (data, key) {
        return data.getJSONObject(key);
    };
    return User;
}(user_common_1.User));
exports.default = User;
//# sourceMappingURL=user.android.js.map